5 Replies Latest reply on Apr 23, 2015 6:48 AM by ssprengel

    Nikon 7200

    debbiev77787439

      In the list of supported Nikon cameras is now the Nikon D7200 included, but the minimum required Lightroom version is 6.0.

      Just 2 months ago I payed EUR 129,00 for Lightroom 5 (latest version 5.7.1). Do I now have to buy 6.0 so I can use my camera with it??!